hpp-core: hpp::core::steeringMethod::Straight Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::steeringMethod::Straight Class Reference
Steering method and distance functions

`#include <hpp/core/steering-method/straight.hh>`

Inheritance diagram for hpp::core::steeringMethod::Straight:
[legend]
Collaboration diagram for hpp::core::steeringMethod::Straight:
[legend]

## Public Member Functions
virtual SteeringMethodPtr_t | copy () const
| Copy instance and return shared pointer.
virtual PathPtr_t | impl_compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const
| create a path between two configurations
Public Member Functions inherited from hpp::core::SteeringMethod
PathPtr_t | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
virtual | ~SteeringMethod ()
ProblemConstPtr_t | problem () const
void | constraints (const ConstraintSetPtr_t &constraints)
| Set constraint set.
const ConstraintSetPtr_t & | constraints () const
| Get constraint set.

## Static Public Member Functions
static StraightPtr_t | create (const ProblemConstPtr_t &problem)
| Create instance and return shared pointer.
static StraightPtr_t | createCopy (const StraightPtr_t &other)
| Copy instance and return shared pointer.

## Protected Member Functions
| Straight (const ProblemConstPtr_t &problem)
| Straight (const Straight &other)
| Copy constructor.
void | init (StraightWkPtr_t weak)
| Store weak pointer to itself.
Protected Member Functions inherited from hpp::core::SteeringMethod
| SteeringMethod (const ProblemConstPtr_t &problem)
| Constructor.
| SteeringMethod (const SteeringMethod &other)
void | init (SteeringMethodWkPtr_t weak)
| Store weak pointer to itself.

## Detailed Description

Steering method that creates StraightPath instances

The documentation for this class was generated from the following file:

- include/hpp/core/steering-method/straight.hh